Skip to main content
GET
/
feature-flags
/
2026-03
/
{appId}
/
flags
/
{flagName}
Retrieve an app's feature flags
curl --request GET \
  --url https://api.hubapi.com/feature-flags/2026-03/{appId}/flags/{flagName} \
  --header 'Authorization: Bearer <token>'
{
  "appId": 123,
  "flagName": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required
flagName
string
required

Response

successful operation

appId
integer<int32>
required

The ID of the app

defaultState
enum<string>
required

The flag state for any portal that doesn't have an override value

Available options:
ABSENT,
OFF,
ON
flagName
string
required

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

Available options:
ABSENT,
OFF,
ON
Last modified on April 21, 2026